
Sidebar Content - Bug #2083

Redmine 2.x support

01 Jul 2012 00:14 - Logical And

Status: Closed Start date: 01 Jul 2012

Priority: Critical Due date: 22 Oct 2012

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.1.0   

Redmine version: 2.0.2 External issue:  

Description

Add please Redmine 2 compatibility. Really need it!

/var/www/redmine/plugins/redmine_sidebar/init.rb:6:in `<top (required)>': uninitialized constant R

AILS_DEFAULT_LOGGER (NameError)

        from /var/www/redmine/lib/redmine/plugin.rb:129:in `block in load'

        from /var/www/redmine/lib/redmine/plugin.rb:120:in `each'

        from /var/www/redmine/lib/redmine/plugin.rb:120:in `load'

        from /var/www/redmine/config/initializers/30-redmine.rb:13:in `<top (required)>'

        from /usr/local/rvm/gems/ruby-1.9.2-p320/gems/railties-3.2.5/lib/rails/engine.rb:588:in `b

lock (2 levels) in <class:Engine>'

        from /usr/local/rvm/gems/ruby-1.9.2-p320/gems/railties-3.2.5/lib/rails/engine.rb:587:in `e

ach'

        from /usr/local/rvm/gems/ruby-1.9.2-p320/gems/railties-3.2.5/lib/rails/engine.rb:587:in `b

lock in <class:Engine>'

        from /usr/local/rvm/gems/ruby-1.9.2-p320/gems/railties-3.2.5/lib/rails/initializable.rb:30

:in `instance_exec'

        from /usr/local/rvm/gems/ruby-1.9.2-p320/gems/railties-3.2.5/lib/rails/initializable.rb:30

:in `run'

        from /usr/local/rvm/gems/ruby-1.9.2-p320/gems/railties-3.2.5/lib/rails/initializable.rb:55

:in `block in run_initializers'

        from /usr/local/rvm/gems/ruby-1.9.2-p320/gems/railties-3.2.5/lib/rails/initializable.rb:54

:in `each'

        from /usr/local/rvm/gems/ruby-1.9.2-p320/gems/railties-3.2.5/lib/rails/initializable.rb:54

:in `run_initializers'

        from /usr/local/rvm/gems/ruby-1.9.2-p320/gems/railties-3.2.5/lib/rails/application.rb:136:

in `initialize!'

        from /usr/local/rvm/gems/ruby-1.9.2-p320/gems/railties-3.2.5/lib/rails/railtie/configurabl

e.rb:30:in `method_missing'

        from /var/www/redmine/config/environment.rb:18:in `<top (required)>'

        from /var/www/redmine/config.ru:4:in `require'

        from /var/www/redmine/config.ru:4:in `block in <main>'

        from /usr/local/rvm/gems/ruby-1.9.2-p320/gems/rack-1.4.1/lib/rack/builder.rb:51:in `instan

ce_eval'

        from /usr/local/rvm/gems/ruby-1.9.2-p320/gems/rack-1.4.1/lib/rack/builder.rb:51:in `initia

lize'

        from /var/www/redmine/config.ru:1:in `new'

        from /var/www/redmine/config.ru:1:in `<main>'

        from /usr/local/rvm/gems/ruby-1.9.2-p320/gems/rack-1.4.1/lib/rack/builder.rb:40:in `eval'

        from /usr/local/rvm/gems/ruby-1.9.2-p320/gems/rack-1.4.1/lib/rack/builder.rb:40:in `parse_

file'

        from /usr/local/rvm/gems/ruby-1.9.2-p320/gems/rack-1.4.1/lib/rack/server.rb:200:in `app'

        from /usr/local/rvm/gems/ruby-1.9.2-p320/gems/railties-3.2.5/lib/rails/commands/server.rb:

46:in `app'

        from /usr/local/rvm/gems/ruby-1.9.2-p320/gems/rack-1.4.1/lib/rack/server.rb:301:in `wrappe

d_app'

        from /usr/local/rvm/gems/ruby-1.9.2-p320/gems/rack-1.4.1/lib/rack/server.rb:252:in `start'

        from /usr/local/rvm/gems/ruby-1.9.2-p320/gems/railties-3.2.5/lib/rails/commands/server.rb:

70:in `start'

        from /usr/local/rvm/gems/ruby-1.9.2-p320/gems/railties-3.2.5/lib/rails/commands.rb:55:in `

block in <top (required)>'
        from /usr/local/rvm/gems/ruby-1.9.2-p320/gems/railties-3.2.5/lib/rails/commands.rb:50:in `

tap'

        from /usr/local/rvm/gems/ruby-1.9.2-p320/gems/railties-3.2.5/lib/rails/commands.rb:50:in `

<top (required)>'

        from ../script/rails:6:in `require'

Associated revisions

Revision 23 - 13 Oct 2012 09:50 - Andriy Lesyuk

Added #html_safe, support for changes in #save etc (#2083)

Revision 24 - 14 Oct 2012 09:27 - Andriy Lesyuk

Added jQuery and Redmine 2.1.x support (#2083)

Revision 25 - 15 Oct 2012 08:46 - Andriy Lesyuk

Fixes for remote_form_for and link_to_remote (#2083)

Revision 28 - 22 Oct 2012 19:10 - Andriy Lesyuk

Small fix for #2083

History

#1 - 27 Sep 2012 20:03 - Andriy Lesyuk

- Status changed from New to In Progress

- Target version set to 0.1.0

- % Done changed from 0 to 30

Fix for this issue is in SVN already... Still working on full support.

#2 - 01 Oct 2012 21:18 - Logical And

Nice, thanks!

#3 - 13 Oct 2012 22:19 - Andriy Lesyuk

- % Done changed from 30 to 90

Damn weird issue now: Once specified the sidebar content always appears! Some Rails 3 caching stuff, I guess...

#4 - 16 Oct 2012 07:50 - David Rahusen

Hmm, I tried the latest revision 25 from SVN repository...

On executing “rake redmine:plugins:migrate RAILS_ENV=production” as usual, I still get an error. Below is the output of the rake command with

option "--trace”:

** Invoke redmine:plugins:migrate (first_time)

** Invoke environment (first_time)

** Execute environment

rake aborted!

uninitialized constant SidebarContentHelper

/srv/www/redmine_dev/plugins/redmine-sidebar/init.rb:11:in `block in <top (required)>'

/usr/lib/ruby/gems/1.9.1/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:429:in `_run__969130062__pre

pare__449255308__callbacks'

/usr/lib/ruby/gems/1.9.1/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'

/usr/lib/ruby/gems/1.9.1/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_prepare_callbac

ks'

/usr/lib/ruby/gems/1.9.1/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-3.2.8/lib/action_dispatch/middleware/reloader.rb:74:in `prepare!'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-3.2.8/lib/action_dispatch/middleware/reloader.rb:48:in `prepare!'

/usr/lib/ruby/gems/1.9.1/gems/railties-3.2.8/lib/rails/application/finisher.rb:47:in `block in <module:Finishe

r>'

/usr/lib/ruby/gems/1.9.1/gems/railties-3.2.8/lib/rails/initializable.rb:30:in `instance_exec'
/usr/lib/ruby/gems/1.9.1/gems/railties-3.2.8/lib/rails/initializable.rb:30:in `run'

/usr/lib/ruby/gems/1.9.1/gems/railties-3.2.8/lib/rails/initializable.rb:55:in `block in run_initializers'

/usr/lib/ruby/gems/1.9.1/gems/railties-3.2.8/lib/rails/initializable.rb:54:in `each'

/usr/lib/ruby/gems/1.9.1/gems/railties-3.2.8/lib/rails/initializable.rb:54:in `run_initializers'

/usr/lib/ruby/gems/1.9.1/gems/railties-3.2.8/lib/rails/application.rb:136:in `initialize!'

/usr/lib/ruby/gems/1.9.1/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `method_missing'

/srv/www/redmine_dev/config/environment.rb:14:in `<top (required)>'

/usr/lib/ruby/gems/1.9.1/gems/railties-3.2.8/lib/rails/application.rb:103:in `require'

/usr/lib/ruby/gems/1.9.1/gems/railties-3.2.8/lib/rails/application.rb:103:in `require_environment!'

/usr/lib/ruby/gems/1.9.1/gems/railties-3.2.8/lib/rails/application.rb:295:in `block (2 levels) in initialize_t

asks'

/usr/lib/ruby/1.9.1/rake/task.rb:205:in `call'

/usr/lib/ruby/1.9.1/rake/task.rb:205:in `block in execute'

/usr/lib/ruby/1.9.1/rake/task.rb:200:in `each'

/usr/lib/ruby/1.9.1/rake/task.rb:200:in `execute'

/usr/lib/ruby/1.9.1/rake/task.rb:158:in `block in invoke_with_call_chain'

/usr/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'

/usr/lib/ruby/1.9.1/rake/task.rb:151:in `invoke_with_call_chain'

/usr/lib/ruby/1.9.1/rake/task.rb:176:in `block in invoke_prerequisites'

/usr/lib/ruby/1.9.1/rake/task.rb:174:in `each'

/usr/lib/ruby/1.9.1/rake/task.rb:174:in `invoke_prerequisites'

/usr/lib/ruby/1.9.1/rake/task.rb:157:in `block in invoke_with_call_chain'

/usr/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'

/usr/lib/ruby/1.9.1/rake/task.rb:151:in `invoke_with_call_chain'

/usr/lib/ruby/1.9.1/rake/task.rb:144:in `invoke'

/usr/lib/ruby/1.9.1/rake/application.rb:116:in `invoke_task'

/usr/lib/ruby/1.9.1/rake/application.rb:94:in `block (2 levels) in top_level'

/usr/lib/ruby/1.9.1/rake/application.rb:94:in `each'

/usr/lib/ruby/1.9.1/rake/application.rb:94:in `block in top_level'

/usr/lib/ruby/1.9.1/rake/application.rb:133:in `standard_exception_handling'

/usr/lib/ruby/1.9.1/rake/application.rb:88:in `top_level'

/usr/lib/ruby/1.9.1/rake/application.rb:66:in `block in run'

/usr/lib/ruby/1.9.1/rake/application.rb:133:in `standard_exception_handling'

/usr/lib/ruby/1.9.1/rake/application.rb:63:in `run'

/usr/bin/rake:32:in `<main>'

Tasks: TOP => redmine:plugins:migrate => environment

 

Any hints? Do I do anything wrong?
#5 - 16 Oct 2012 07:54 - David Rahusen

Ok, forget it...once again: stupid error...the directory of the plugin was named “redmine-sidebar”. After renaming it to “sidebar”, the plugin works so far.

#6 - 22 Oct 2012 19:11 - Andriy Lesyuk

- Due date set to 22 Oct 2012

- Status changed from In Progress to Closed

- % Done changed from 90 to 100
